Favicon Svetmobilne.cz  Svět mobilně Favicon Svetaudia.cz  Svět audia Favicon TVFreak.cz  TV Freak   Fórum Favicon Digimanie.cz  Digimanie   Fórum   Galerie Společnost oXy Online s.r.o.
Zobrazené výsledky: 1 až 11 z 11

Téma: CRON nefunguje

  1. #1
    Občasný diskutér Avatar uživatele typek.cz
    Registrace
    Aug 2009
    Příspěvků
    141

    Zdravím,
    mám problémy s cronem na Debianu. Do crontab jsem dal 0 20 * * * wget -q http://m1p.eu/sms/cron.php ale nefungovalo, zkoušel jsem to dát do crontab -e taky přímo do /etc/crontab, ale nikdy se to nespustilo. Když sem napsal příkaz cron tak mi to vždy napsalo něco ve smyslu že proces neodpovídá. Tak jsem zkusil cron odinstalovat apt-get remove cron, ale teď se mi nedaří ho zase nainstalovat.
    Prosím vás poraďte mi jak ho zase nainstalovat.
    Děkuji
    Odpovídat lze po přihlášení

  2. #2

    odb odb je offline
    Obyvatel SHW
    Registrace
    May 2006
    Příspěvků
    513

    co ti system zahlasi, ked zadas prikaz apt-get install cron
    Odpovídat lze po přihlášení



  3. #3
    Občasný diskutér Avatar uživatele typek.cz
    Registrace
    Aug 2009
    Příspěvků
    141

    root@vs5841:/# apt-get install cron
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Package cron is not available, but is referred to by another package.
    This may mean that the package is missing, has been obsoleted, or
    is only available from another source
    E: Package cron has no installation candidate
    Odpovídat lze po přihlášení

  4. #4
    Nováček
    Registrace
    Mar 2012
    Příspěvků
    3

    Skús pred inštaláciou updatovať zoznam balíkov z dostupných zdrojov: apt-get update
    Odpovídat lze po přihlášení

  5. #5
    Občasný diskutér Avatar uživatele typek.cz
    Registrace
    Aug 2009
    Příspěvků
    141

    Tohle jsem zkoušel, už jsem zkoušel všechno možné.


    root@vs5841:/# apt-cache search cron
    irb1.8 - Interactive Ruby (for Ruby 1.8)
    irb1.9 - Interactive Ruby (for Ruby 1.9)
    snort-common - flexible Network Intrusion Detection System [common files]
    puppet - Centralized configuration management - agent startup and compatibility scripts
    puppet-common - Centralized configuration management
    puppetmaster - Centralized configuration management - master startup and compatibility scripts

    // EDIT
    Teď sem si vzpoměl že při apt-get update mi to píše 404 errory.
    Posílám ještě sources list:


    ################################################## ###########
    ################### OFFICIAL DEBIAN REPOS ###################
    ################################################## ###########

    ###### Debian Main Repos
    deb http://ftp.....debian.org/debian/ lenny main contrib non-free
    deb-src http://ftp.....debian.org/debian/ lenny main contrib non-free

    ###### Debian Update Repos
    deb http://security.debian.org/ lenny/updates main contrib non-free
    deb http://ftp.....debian.org/debian/ lenny-proposed-updates main contrib non-free
    deb-src http://security.debian.org/ lenny/updates main contrib non-free
    deb-src http://ftp.....debian.org/debian/ lenny-proposed-updates main contrib non-free

    ################################################## ############
    ##################### UNOFFICIAL REPOS ######################
    ################################################## ############

    ###### 3rd Party Binary Repos

    #### Dotdeb - http://www.dotdeb.org
    ## Run this command: wget -q -O - http://www.dotdeb.org/dotdeb.gpg | apt-key add -
    deb http://packages.dotdeb.org oldstable all


    ####### 3rd Party Source Repos

    #### Dotdeb (Source) - http://www.dotdeb.org
    ## Run this command: wget -q -O - http://www.dotdeb.org/dotdeb.gpg | apt-key add -
    deb-src http://packages.dotdeb.org oldstable all


    ################################################## ###########
    ################### OFFICIAL DEBIAN REPOS ###################
    ################################################## ###########

    ###### Debian Main Repos
    deb http://ftp.....debian.org/debian/ squeeze main contrib non-free
    deb-src http://ftp.....debian.org/debian/ squeeze main contrib non-free

    ###### Debian Update Repos
    deb http://security.debian.org/ squeeze/updates main contrib non-free
    deb http://ftp.....debian.org/debian/ squeeze-proposed-updates main contrib non-free
    deb-src http://security.debian.org/ squeeze/updates main contrib non-free
    deb-src http://ftp.....debian.org/debian/ squeeze-proposed-updates main contrib non-free

    ################################################## ############
    ##################### UNOFFICIAL REPOS ######################
    ################################################## ############

    ###### 3rd Party Binary Repos

    #### Dotdeb - http://www.dotdeb.org
    ## Run this command: wget -q -O - http://www.dotdeb.org/dotdeb.gpg | apt-key add -
    deb http://packages.dotdeb.org oldstable all


    ####### 3rd Party Source Repos

    #### Dotdeb (Source) - http://www.dotdeb.org
    ## Run this command: wget -q -O - http://www.dotdeb.org/dotdeb.gpg | apt-key add -
    deb-src http://packages.dotdeb.org oldstable all
    Naposledy upraveno uživatelem typek.cz: 01-04-2012 v 11:44
    Odpovídat lze po přihlášení

  6. #6
    Občasný diskutér Avatar uživatele typek.cz
    Registrace
    Aug 2009
    Příspěvků
    141

    Nikdo neporadí?
    Chcete říct že jediným řešením je reinstall systému??
    Možná je něco se sources listem pošlete mi co máte vy na Debianu Lenny
    Odpovídat lze po přihlášení

  7. #7
    Nováček
    Registrace
    Mar 2012
    Příspěvků
    3

    Nepoužívam primárne Debian a tak sa vopred ospravedlňujem keď napíšem niečo nesprávne.

    Ten sources.list nevyzerá moc dobre. Duplicitné záznamy (pre oldstable) a čo je podľa mňa horšie sú oficiálne repozitáre pre dve vydania Debianu (oldstable a stable). Myslím že na serveri to nie je dobrý nápad ani s pinningom (priorizácia zdrojov).

    Zo sources.list by som zmazal všetko okrem oficiálnych repozitárov pre stable a pridal by som znovu záznam pre dotdeb ale pre stable. Ktovie aký mix balíkov máš už nainštalovaný, takže "upgrade" na stable je určite jednoduchší ako "downgrade" na oldstable. Určite nájdeš veľa návodov pre upgrade z Lenny na Squeeze.
    Odpovídat lze po přihlášení



  8. #8
    Občasný diskutér Avatar uživatele typek.cz
    Registrace
    Aug 2009
    Příspěvků
    141

    Update byl snad úspěšný ale vyskytl se problém u mysql vůbec nefunguje a nejde ani odinstalovat ap-get remove mysql-server v pruběhu to napíše starting mysql server . . . failed!
    Prosím pomozte mysql je pro nás strašně důležité.
    Cron už nainstalovat jde ale instalace napíše o tom že nejde mysql a nenainstaluje se nic
    Odpovídat lze po přihlášení

  9. #9
    Nováček
    Registrace
    Mar 2012
    Příspěvků
    3

    Neviem kde by mohla byť chyba.

    Osobne by som to videl na reinštaláciu (rýchlejší spôsob nápravy). Ide o to aby si mal systém v 100% konzistentom stave a tam ho držal za každú cenu. Prapáč, naozaj nechcem aby si to pochopil zle, ale myslím že reinštalácia bude dobrý podnet k svedomitejšej správe serveru. Ak úplne nodstrániš určitú experimentálnu povahu zásahov do systému, systém sa ti bude pomaly drobiť na kúsky až sa úplne rozpadne. Pri každom zásahu do systému (či už ide o zmenu konfiguračných súborov alebo správu balíkov alebo čokoľvek iné) je dobré vedieť čo táto zmena robí, resp. čo by mala robiť a hlavne ako môžeš systém dostať do stavu pred vykonaním zmeny.
    Ak napríklad niekde na fóre narazím na úsek nejkého konfiguračného súboru, ktorý pomohol inej osobe, tak predtým než ho aplikujem, zistím význam jednotlivých voleb a parametrov v ňom, osekám ho na úplné funkčné minimum pre moje prostredie, ak je to možné, otestujem, v prípade nekritických aplikácií nasadím priamo do produkcie, ale hlavne, stále myslím na to, že som túto zmenu vykonal (poprípade si ju niekde poznačím) a viem presne ako ju odstrániť.

    Ideálny by bol nejaký, aspoň jednoduchší plán zálohovania, kedy by si mohol v prípade nejkého väčšieho problému (viz aktuálna situácia) doslova za pár minút vrátiť systém do najbližšieho konzistentného a funkčného stavu.
    Naposledy upraveno uživatelem jansucan: 02-04-2012 v 15:27
    Odpovídat lze po přihlášení

  10. #10

    odb odb je offline
    Obyvatel SHW
    Registrace
    May 2006
    Příspěvků
    513

    K tomu mysql, je to chyba pri upgrade. Staci zadat prikaz
    apt-get install mysql-server-5.1

    blizsie info k upgrade napriklad tu -
    http://www.root.cz/clanky/upgrade-de...ke-zkusenosti/

    Odporucam pred upgradom precitat si navod a zname chyby. Debian takyto navod vydava vzdy,
    ked sa vyda nova verzia.
    Odpovídat lze po přihlášení

  11. #11
    Občasný diskutér Avatar uživatele typek.cz
    Registrace
    Aug 2009
    Příspěvků
    141

    Tak jsme to vyřešili nainstalováním speciálního debika od angelhostu, kde už jsou všechny webové dslužby funkční
    Odpovídat lze po přihlášení

Podobná témata

  1. GeForce: MSI GTX 280 nefunguje
    Od Cpt._Redeemer v sekci Grafické karty
    Reakcí: 3
    Poslední příspěvek: 30-01-2014, 07:11
  2. DVD Fab nefunguje
    Od lacream3 v sekci Software denní potřeby
    Reakcí: 17
    Poslední příspěvek: 25-09-2009, 08:10
  3. pc nefunguje
    Od zita132 v sekci Problémy s PC (HW/SW) a řešení
    Reakcí: 9
    Poslední příspěvek: 20-08-2009, 18:04
  4. Nefunguje PC.
    Od pavelson v sekci Problémy s PC (HW/SW) a řešení
    Reakcí: 34
    Poslední příspěvek: 08-03-2009, 19:52
  5. nefunguje DVI
    Od john258 v sekci Grafické karty
    Reakcí: 5
    Poslední příspěvek: 03-11-2006, 08:20